%define name doxygen
%define version 1.2.1
%define prefix %{_prefix}
%define release 2mdk

Name: %{name}
Summary: Doxygen is THE documentation system for C/C++
Version: %{version}
Release: %{release}
Group: Development/Other
Copyright: GPL
URL: http://www.stack.nl/~dimitri/doxygen/
Source:	http://www.stack.nl/~dimitri/doxygen/dl/%{name}-%{version}.src.tar.bz2
Source1: GPL-LICENSE.bz2
Patch0: doxygen-1.0.0.patch.bz2
BuildRequires: XFree86-devel qt-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Serial: 1
ExcludeArch: alpha

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate an
on-line class browser (in HTML) and/or an off-line reference manual (in LaTeX)
from a set of documented source files. There is also support for generating man
pages and for converting the generated output into Postscript, hyperlinked PDF
or compressed HTML. The documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from undocumented
source files. This can be very useful to quickly find your way in large source
distributions.

%prep
%setup -q

%patch0 -p0

%build
export QTDIR=%{_prefix}
export CXXFLAGS=$RPM_OPT_FLAGS
./configure
%make
%make docs
%make ps
mkdir ps
mv latex/doxygen_manual.ps ps
bzcat %{SOURCE1} > LICENSE

%install
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -s bin/doxy* ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc html examples ps
%doc README LICENSE
%{_bindir}/doxygen
%{_bindir}/doxytag
%{_bindir}/doxysearch


%changelog
* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-2mdk
- automatically added packager tag

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-4mdk
- BM
- macros

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.0-3mdk
- ExcludeArch: alpha (yep lazzyness).

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- first Mandrake release
- patch to fix wrong lookup of Qt include/lib
